/**
 *  Java GUI Tutorial 
 *  LayoutExample.java
 *
 *  @autor Gabor Nemeth, HUNGARY 2007
 *    
 *  Licence: free for non-commercial use
 *
 *  This is a sample program without guarantee and liability.
 *  
 *
 **/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class LayoutExample extends JFrame {

  private JTabbedPane tabbedPane;
  private JPanel borderPanel;
  private JPanel flowPanel;
  private JPanel gridPanel;
  
  public LayoutExample() {
    super("Layout example");
    this.setSize(400,300);
    tabbedPane = new JTabbedPane(JTabbedPane.TOP);
    borderPanel = new JPanel();
    gridPanel = new JPanel();
    flowPanel = new JPanel();
    
    this.getContentPane().add(tabbedPane);
    tabbedPane.addTab("FlowLayout", flowPanel);
    tabbedPane.addTab("GridLayout", gridPanel);
    tabbedPane.addTab("BorderLayout", borderPanel);
    
    borderPanel.setLayout(new BorderLayout());
    gridPanel.setLayout(new GridLayout(2,3)); // 2 rows, 3 cols
    flowPanel.setLayout(new FlowLayout());
    
    // adding componenets to show the layouts
    JPanel centerPanel = new JPanel();
    JPanel southPanel = new JPanel();
    JPanel northPanel = new JPanel();
    JPanel westPanel = new JPanel();
    JPanel eastPanel = new JPanel();
    northPanel.add(new JLabel("NORTH"));
    southPanel.add(new JLabel("SOUTH"));
    centerPanel.add(new JLabel("CENTER"));
    eastPanel.add(new JLabel("EAST"));
    westPanel.add(new JLabel("WEST"));
    
    // repaint panels backgrounds
    centerPanel.setBackground( Color.RED );
    southPanel.setBackground( Color.GREEN );
    northPanel.setBackground( Color.ORANGE );
    eastPanel.setBackground( Color.YELLOW );
    westPanel.setBackground( Color.CYAN );
    
    borderPanel.add(northPanel, BorderLayout.NORTH);
    borderPanel.add(southPanel, BorderLayout.SOUTH);
    borderPanel.add(eastPanel, BorderLayout.EAST);
    borderPanel.add(westPanel, BorderLayout.WEST);
    borderPanel.add(centerPanel, BorderLayout.CENTER);
    
    gridPanel.add(new JLabel("1", JLabel.CENTER));
    gridPanel.add(new JLabel("2", JLabel.CENTER));
    gridPanel.add(new JLabel("3", JLabel.CENTER));
    gridPanel.add(new JLabel("4", JLabel.CENTER));
    gridPanel.add(new JLabel("5", JLabel.CENTER));
    gridPanel.add(new JLabel("6", JLabel.CENTER));
    
    flowPanel.add(new JLabel("Label1"));
    flowPanel.add(new JLabel("Label2"));
    flowPanel.add(new JLabel("Label3"));
    flowPanel.add(new JLabel("Label4"));
    flowPanel.add(new JLabel("Label5"));
    flowPanel.add(new JLabel("Label6"));
    
    
  }
  
  
  public static void main(String[] args) {
    LayoutExample frame = new LayoutExample();
    frame.setVisible(true);
    
    // this is an implementation of window listener
    // the program will be stopped if you close the main frame
    WindowListener listener = new WindowAdapter() {
      public void windowClosing(WindowEvent we) {
        System.exit(0);
      }
    };
    frame.addWindowListener(listener);
  }

}


